org.apache.cayenne.dba.postgres

## Class PostgresBatchAction

- java.lang.Object
- - org.apache.cayenne.access.jdbc.BaseSQLAction
  - - org.apache.cayenne.access.jdbc.BatchAction
    - - org.apache.cayenne.dba.postgres.PostgresBatchAction

- All Implemented Interfaces:
    SQLAction

      public class PostgresBatchAction
      extends BatchAction

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.jdbc.BatchAction

      `keyRowDescriptor, query, runningAsBatch`

    - ### Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `dataNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgresBatchAction(BatchQuery query, DataNode dataNode, boolean runningAsBatch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PreparedStatement` | `prepareStatement(Connection connection, String queryStr, DbAdapter adapter, boolean generatedKeys)`

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BatchAction

      `createTranslator, getQuery, hasGeneratedKeys, performAction, processGeneratedKeys, processGeneratedKeys, runAsBatch, runAsIndividualQueries, supportsGeneratedKeys`

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `getInMemoryOffset, readResultSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostgresBatchAction

          public PostgresBatchAction(BatchQuery query,
                                     DataNode dataNode,
                                     boolean runningAsBatch)

      Since:
        4.0

  - ### Method Detail

    - #### prepareStatement

          protected PreparedStatement prepareStatement(Connection connection,
                                                       String queryStr,
                                                       DbAdapter adapter,
                                                       boolean generatedKeys)
                                                throws SQLException

      Overrides:
        `prepareStatement` in class `BatchAction`
      Throws:
        `SQLException`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.